> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 PIN 模型

> 按 ID 获取单个模型，包括其 adapter、合并权重、GGUF、MLX、MNN 与 QNN 导出的产物映射。

使用此接口获取单个模型的完整详情，包括 `artifact_paths` 映射，该映射告知你可下载哪些输出格式。

## 接口

```http theme={null}
GET /v1/models/{id}
```

## 认证

在 `Authorization: Bearer <jwt-or-api-key>` 头中发送你的令牌。

## 路径参数

<ParamField path="id" type="string" required>
  唯一的模型标识符。
</ParamField>

## 响应

<ResponseField name="code" type="integer">
  成功时恒为 0。
</ResponseField>

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">
    模型标识符。
  </ResponseField>

  <ResponseField name="name" type="string">
    便于识别的模型名称。
  </ResponseField>

  <ResponseField name="status" type="string">
    当前模型状态。
  </ResponseField>

  <ResponseField name="artifact_paths" type="object">
    产物名称到下载 URL 或路径的映射。键包括：`adapter`、`merged`、`gguf`、`mlx`、`mnn`、`qnn`。
  </ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -s https://ariapin.example.com/v1/models/mdl_01J8Q2R4TFK9Z0X \
    -H "Authorization: Bearer $ARIA_PIN_TOKEN"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "code": 0,
    "message": "",
    "data": {
      "id": "mdl_01J8Q2R4TFK9Z0X",
      "name": "Llama-3-8B-Instruct",
      "status": "ready",
      "artifact_paths": {
        "adapter": "/artifacts/mdl_01J8Q2R4TFK9Z0X/adapter.zip",
        "merged": "/artifacts/mdl_01J8Q2R4TFK9Z0X/merged.zip",
        "gguf": "/artifacts/mdl_01J8Q2R4TFK9Z0X/gguf.zip",
        "mlx": "/artifacts/mdl_01J8Q2R4TFK9Z0X/mlx.zip",
        "mnn": "/artifacts/mdl_01J8Q2R4TFK9Z0X/mnn.zip",
        "qnn": "/artifacts/mdl_01J8Q2R4TFK9Z0X/qnn.zip"
      }
    }
  }
  ```
</ResponseExample>
